<div class="results-panel-content">
  <div
    data-cy="results-list"
    class="results-content-container"
    *ngIf="results && results.length">
    <app-result-item
      *ngFor="let result of results"
      [result]="result"
      [selected]="jobsSelections[result.job.id]?.checked"
      [classColorMapping]="classColorMapping"
      [version]="version"
      (zoomToAnnotation)="zoomToAnnotation.emit($event)"
      (changeSelection)="changeJobSelection.emit($event)"
      (interruptJobExecution)="interruptJobExecution.emit($event)">
    </app-result-item>
    <mat-divider></mat-divider>
  </div>
  <ng-container *ngIf="!selectionMissing && !results?.length">
    <div class="menu-no-content">
      <div data-cy="no-results">Slide has no Results</div>
    </div>
  </ng-container>
  <ng-container *ngIf="selectionMissing">
    <app-missing-selection-error
      [missingSelectionType]="selectionMissing"
      (errorClicked)="errorClicked.emit($event)">
    </app-missing-selection-error>
  </ng-container>
</div>
